Package com.logicaldoc.core

# Class SystemInfo

java.lang.Object
com.logicaldoc.core.SystemInfo

public class SystemInfo extends Object
General informations about the system

Since:
  8.8.3
Author:
  Marco Meschieri - LogicalDOC

## Method Summary

Modifier and Type
Method
Description
`static SystemInfo`
`get()`
`static SystemInfo`
`get(long tenantId)`
`String`
`getBugs()`
`Date`
`getDate()`
`String`
`getEvaluation()`
`List<String>`
`getFeatures()`
`String`
`getForum()`
`String`
`getHelp()`
`String`
`getHostName()`
`String`
`getInstallationId()`
`String`
`getLicensee()`
`int`
`getMajor()`
`int`
`getMicro()`
`int`
`getMinor()`
`String`
`getProduct()`
`String`
`getProductName()`
`String`
`getRelease()`
`String`
`getRunLevel()`
`String`
`getSupport()`
`long`
`getTenantId()`
`String`
`getUrl()`
`String`
`getVendor()`
`String`
`getVendorAddress()`
`String`
`getVendorCap()`
`String`
`getVendorCity()`
`String`
`getVendorCountry()`
`String`
`getYear()`
`void`
`setBugs(String bugs)`
`void`
`setDate(Date date)`
`void`
`setEvaluation(String evaluation)`
`void`
`setFeatures(List<String> features)`
`void`
`setForum(String forum)`
`void`
`setHelp(String help)`
`void`
`setHostName(String hostName)`
`void`
`setInstallationId(String installationId)`
`void`
`setLicensee(String licensee)`
`void`
`setProduct(String product)`
`void`
`setProductName(String productName)`
`void`
`setRelease(String release)`
`void`
`setRunLevel(String runLevel)`
`void`
`setSupport(String support)`
`void`
`setTenantId(long tenantId)`
`void`
`setUrl(String url)`
`void`
`setVendor(String vendor)`
`void`
`setVendorAddress(String vendorAddress)`
`void`
`setVendorCap(String vendorCap)`
`void`
`setVendorCity(String vendorCity)`
`void`
`setVendorCountry(String vendorCountry)`
`void`
`setYear(String year)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### get

public static SystemInfo get(long tenantId)

### get

public static SystemInfo get()

### getDate

public Date getDate()

### setDate

public void setDate(Date date)

### getMajor

public int getMajor()

### getMinor

public int getMinor()

### getMicro

public int getMicro()

### getProductName

public String getProductName()

### setProductName

public void setProductName(String productName)

### getProduct

public String getProduct()

### setProduct

public void setProduct(String product)

### getRelease

public String getRelease()

### setRelease

public void setRelease(String release)

### getYear

public String getYear()

### setYear

public void setYear(String year)

### getHelp

public String getHelp()

### setHelp

public void setHelp(String help)

### getBugs

public String getBugs()

### setBugs

public void setBugs(String bugs)

### getUrl

public String getUrl()

### setUrl

public void setUrl(String url)

### getForum

public String getForum()

### setForum

public void setForum(String forum)

### getVendor

public String getVendor()

### setVendor

public void setVendor(String vendor)

### getVendorAddress

public String getVendorAddress()

### setVendorAddress

public void setVendorAddress(String vendorAddress)

### getVendorCap

public String getVendorCap()

### setVendorCap

public void setVendorCap(String vendorCap)

### getVendorCountry

public String getVendorCountry()

### setVendorCountry

public void setVendorCountry(String vendorCountry)

### getVendorCity

public String getVendorCity()

### setVendorCity

public void setVendorCity(String vendorCity)

### getSupport

public String getSupport()

### setSupport

public void setSupport(String support)

### getInstallationId

public String getInstallationId()

### setInstallationId

public void setInstallationId(String installationId)

### getLicensee

public String getLicensee()

### setLicensee

public void setLicensee(String licensee)

### getRunLevel

public String getRunLevel()

### setRunLevel

public void setRunLevel(String runLevel)

### getTenantId

public long getTenantId()

### setTenantId

public void setTenantId(long tenantId)

### getHostName

public String getHostName()

### setHostName

public void setHostName(String hostName)

### getFeatures

public List<String> getFeatures()

### setFeatures

public void setFeatures(List<String> features)

### getEvaluation

public String getEvaluation()

### setEvaluation

public void setEvaluation(String evaluation)